Name:           enet
Version:        1.2.1
Release:        1
Summary:        Thin, simple and robust network layer on top of UDP
Group:          System Environment/Libraries
License:        MIT
URL:            http://enet.bespin.org/
Source0:        http://enet.bespin.org/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
ENet is a relatively thin, simple and robust network communication layer on
top of UDP (User Datagram Protocol). The primary feature it provides is
optional reliable, in-order delivery of packets.

ENet is NOT intended to be a general purpose high level networking library
that handles authentication, lobbying, server discovery, compression,
encryption and other high level, often application level or dependent tasks.

The library is available as 32-bit and 64-bit.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}
CreateExportList -X64 lib%{name}.exp lib%{name}.a
${CC} -qmkshrobj lib%{name}.a -o lib%{name}.so.0 -bE:lib%{name}.exp
rm -f lib%{name}.exp

mkdir -p 64
mv lib%{name}.so.0 64/
make distclean

# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}
CreateExportList -X32 lib%{name}.exp lib%{name}.a
${CC} -qmkshrobj lib%{name}.a -o lib%{name}.so.0 -bE:lib%{name}.exp
rm -f lib%{name}.exp

# now create the AIX-style shared library
rm -f lib%{name}.a
/usr/bin/ar -X32 -rv lib%{name}.a lib%{name}.so.0
/usr/bin/ar -X64 -q  lib%{name}.a 64/lib%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog LICENSE README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc docs/*.dox
%{_includedir}/*
/usr/include/*


%changelog
* Thu Feb 10 2011 Michael Perzl <michael@perzl.org> - 1.2.1-1
- first version for AIX V5.1 and higher
